Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libpurple-hangouts: new aport

From: Ivan Tham <pickfire_at_riseup.net>
Date: Thu, 23 Mar 2017 00:57:58 +0800

https://bitbucket.org/EionRobb/purple-hangouts
Hangouts Plugin for libpurple
---
 testing/libpurple-hangouts/APKBUILD | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)
 create mode 100644 testing/libpurple-hangouts/APKBUILD
diff --git a/testing/libpurple-hangouts/APKBUILD b/testing/libpurple-hangouts/APKBUILD
new file mode 100644
index 0000000000..c8cc8d0ab6
--- /dev/null
+++ b/testing/libpurple-hangouts/APKBUILD
_at_@ -0,0 +1,25 @@
+# Contributor: Ivan Tham <pickfire_at_riseup.net>
+# Maintainer: Ivan Tham <pickfire_at_riseup.net>
+pkgname=libpurple-hangouts
+_pkgname=${pkgname#lib}
+pkgver=20170313
+pkgrel=0
+pkgdesc="Hangouts Plugin for libpurple"
+url="https://bitbucket.org/EionRobb/purple-hangouts"
+arch="all"
+license="GPL3"
+makedepends="pidgin-dev protobuf-c-dev json-glib-dev"
+source="$_pkgname-$pkgver.tar.bz2::https://bitbucket.org/EionRobb/$_pkgname/get/default.tar.bz2"
+builddir=$(echo "$srcdir/"EionRobb-$_pkgname-*)
+
+build() {
+	cd "$builddir"
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+sha512sums="839b36bb5a8fc84f7eebeac260c47562c6dc47f0f1ec551103a7309cb9b2ad117ab21b4da5aacd62cddeea0c041f43b30e148b2a092d7ce353c18fc0392f0a77  purple-hangouts-20170313.tar.bz2"
-- 
2.12.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Mar 23 2017 - 00:57:58 GMT